Bug 201494 - (perl-Smart-Comments) Review Request: perl-Smart-Comments
Review Request: perl-Smart-Comments
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patrice Dumas
Fedora Package Reviews List
http://search.cpan.org/dist/Smart-Com...
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-08-06 04:25 EDT by Chris Weyl
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-06 12:15:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jwboyer: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2006-08-06 04:25:51 EDT
SRPM URL: http://home.comcast.net/~ckweyl/perl-Smart-Comments-1.000002-1.fc5.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-Smart-Comments.spec

Description:
Smart comments provide an easy way to insert debugging and tracking code into
a program. They can report the value of a variable, track the progress of a
loop, and verify that particular assertions are true.

Best of all, when you're finished debugging, you don't have to remove them.
Simply commenting out the use Smart::Comments line turns them back into
regular comments. Leaving smart comments in your code is smart because if you
needed them once, you'll almost certainly need them again later.
Comment 1 Patrice Dumas 2006-08-06 09:50:57 EDT
A wrong buildrequires
BuildRequires:  perl(version)
crept in...
Comment 2 Patrice Dumas 2006-08-06 10:02:16 EDT
Ooops sorry perl-version is really a package !!
Comment 3 Patrice Dumas 2006-08-06 10:10:08 EDT
* rpmlint is silent
* package named according to guidelines
* free software, without licence files included
* meets packaging guidelines
* spec legible
* source match upstream
658df11ea3e1090a4c673b50860449b3  ./Smart-Comments-v1.0.2.tar.gz
* sane provides
Provides: perl(Smart::Comments)
* %files right

APPROVED
Comment 4 Chris Weyl 2006-08-06 12:15:17 EDT
+Import to CVS
+Add to owners.list
+Bump release, build for devel
+devel build succeeds
+Request branching (FC-4, FC-5)
+Close bug

Thanks for the review! :)
Comment 5 Chris Weyl 2007-04-19 18:44:27 EDT
Please branch for EL-4, EL-5.

Note You need to log in before you can comment on or make changes to this bug.